enum {
  MASTER_HANDLE_INPUT,
  MASTER_HANDLE_DEAD_WORKER,
  MASTER_HANDLE_DEAD_WRITER,
};
typedef struct {
  int kind;
  inp_t** inp;
  int ninp;
} master_HANDLE_INPUT_t;
typedef struct {
  int kind;
} master_HANDLE_DEAD_WORKER_t;
typedef struct {
  int kind;
} master_HANDLE_DEAD_WRITER_t;
typedef struct { int kind; } master_t; 
#ifdef __cplusplus
extern "C" {
#endif
master_t* master_HANDLE_INPUT(inp_t** inp,int ninp);
master_t* master_HANDLE_DEAD_WORKER();
master_t* master_HANDLE_DEAD_WRITER();
master_t *master_dispatch(master_t *);
#ifdef __cplusplus
}
#endif
