enum {
  WORKER_START,
  WORKER_STOP,
  WORKER_QUIT,
};
typedef struct {
  int kind;
  int cut;
  int rotate;
  int fill;
  int mask;
  int ipage;
  int delta;
} worker_START_t;
typedef struct {
  int kind;
} worker_STOP_t;
typedef struct {
  int kind;
} worker_QUIT_t;
typedef struct { int kind; } worker_t; 
#ifdef __cplusplus
extern "C" {
#endif
worker_t* worker_START(int cut,int rotate,int fill,int mask,int ipage,int delta);
worker_t* worker_STOP();
worker_t* worker_QUIT();
worker_t *worker_dispatch(worker_t *);
#ifdef __cplusplus
}
#endif
