enum {
  WRITER_WRITE_MEMBER,
  WRITER_WRITE_INDEX,
  WRITER_QUIT,
};
typedef struct {
  int kind;
  int page;
  unsigned int w;
  unsigned int h;
  unsigned char* data;
} writer_WRITE_MEMBER_t;
typedef struct {
  int kind;
  unsigned char* data;
} writer_WRITE_INDEX_t;
typedef struct {
  int kind;
} writer_QUIT_t;
typedef struct { int kind; } writer_t; 
#ifdef __cplusplus
extern "C" {
#endif
writer_t* writer_WRITE_MEMBER(int page,unsigned int w,unsigned int h,unsigned char* data);
writer_t* writer_WRITE_INDEX(unsigned char* data);
writer_t* writer_QUIT();
writer_t *writer_dispatch(writer_t *);
#ifdef __cplusplus
}
#endif
