#define _BUFFER_PROTO 

typedef struct buffer buffer_t;
#ifndef _BUFFER_PROTO
#define _BUFFER_PROTO 
#endif

char **list_files(char *dn);
void file_types(char *dn, char **files);
int filter_files_byext(int nfiles,char **files, char **suffixes);
int filter_files_byhid(int nfiles,char **files,int showhid);
void sort_files(int nfiles, char **files);
char *stradd(char *X, char *Y);
void mkdir_p(char *dn);
void mkerrpage(unsigned char **Rd, unsigned int *Rw, unsigned int *Rh);
int ifree(void *ptr, int ret) ;
_BUFFER_PROTO buffer_t *buffer_new(size_t blksize);
_BUFFER_PROTO void buffer_free(buffer_t *B, void **Rd, size_t *Rl);
_BUFFER_PROTO void buffer_collect(buffer_t *B, void **Rd, size_t *Rl);
_BUFFER_PROTO void buffer_write(buffer_t *B, void *d, size_t l);
_BUFFER_PROTO void buffer_append(buffer_t *dst, buffer_t *src_f);
_BUFFER_PROTO size_t buffer_read(buffer_t *B, void *d, size_t l);
