

int read_image(char *fn,unsigned char **Rd,unsigned int *Rw,unsigned int *Rh);
void remove_images(char **L);
void remove_image(char *fn);
char** scan_images();
void show_image_params();

typedef struct
{
  int status;
  unsigned char *d, *id;
  unsigned int w,h, iw, ih;
  char *name;
  int page_number;
} inp_t;

void worker_start(int cut,int rot,int fil,int mask,int ipage,int delta);
void create_worker_thread();
void join_worker_thread();
void worker_stop();

#ifdef MBOX_H_INCLUDED
extern mbox_t *worker_mbox;
extern mbox_t *master_mbox;
#endif


#ifdef FAR_H_INCLUDED
void create_writer_thread(farchive_t *far);
#endif
void finish_writer_thread();
void write_page(int page,unsigned int w,unsigned int h,unsigned char *d);
void write_index(unsigned char *d);

void master_handle_dead_writer();

